org.apache.cassandra.index.sasi.sa

## Class IndexedTerm

- java.lang.Object
- - org.apache.cassandra.index.sasi.sa.IndexedTerm

    public class IndexedTerm
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IndexedTerm(java.nio.ByteBuffer term, boolean isPartial)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `getBytes()`
`boolean` `isPartial()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexedTerm

    public IndexedTerm(java.nio.ByteBuffer term,
                       boolean isPartial)

### Method Detail

#### getBytes

    public java.nio.ByteBuffer getBytes()

#### isPartial

    public boolean isPartial()